﻿using System;

using Factory2.Units;
using Factory2.FactionInfo;
using Factory2.FactionInfo.GDI;

namespace Factory2.Buildings.GDI
{
    public class Barracks : InfantryFactory, IBuilding
    {
        protected override GameUnit CreateUnit(UnitType type)
        {
            // Create faction factory
            FactionDetailsFactory gdiFactory = new GdiDetails();

            switch (type)
            {
                case UnitType.Soldier: return new Soldier(gdiFactory);
                case UnitType.Engineer: return new Engineer(gdiFactory);
                case UnitType.EliteUnit: return new EliteUnit(gdiFactory);
                default: return null;
            }
        }

        public string Description
        {
            get { return "Barracks"; }
        }

        public int Power
        {
            get { return 10; }
        }
    }
}
