﻿using System;

using Factory2.Units;
using Factory2.Shooting;
using Factory2.Armor;

namespace Factory2.FactionInfo
{
    public abstract class FactionDetailsFactory
    {
        public abstract UnitSide GetSide();
        public abstract UnitBehaviour GetBehaviour();
        public abstract string GetDescription(UnitType unitType);
        public abstract IShootingBehaviour GetShootingBehaviour(UnitType unitType);
        public abstract IArmorBehaviour GetArmor(UnitType unitType);
    }
}
